- Qt 5.15
- Qt GUI
- C++ Classes
- QTextCharFormat
- Qt 5.15.18 Reference Documentation

# Obsolete Members for QTextCharFormat

The following members of class QTextCharFormat are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QString | anchorName() const
`(obsolete)` void | setAnchorName(const QString &name)

## Member Function Documentation

### QString QTextCharFormat::anchorName() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This function is deprecated. Use anchorNames() instead.

Returns the anchor name associated with this text format, or an empty string if none has been set. If the anchor name is set, text with this format can be the destination of a hypertext link.

See also setAnchorName().

### void QTextCharFormat::setAnchorName(const QString &name)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This function is deprecated. Use setAnchorNames() instead.

Sets the text format's anchor name. For the anchor to work as a hyperlink, the destination must be set with setAnchorHref() and the anchor must be enabled with setAnchor().

See also anchorName().